TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ForAny ( seq() s, func pred ) -> elt-alg^boo

### Description

<shortdoc> Return true iff every element of `s' suffices the predicate function `pred'.
Note: Apparently `pred' must have `-> elt-alg^boo' out-signature. </shortdoc>

### Examples

ForAny(Sequence([1..100]),IsPrime);
ForAny(Sequence([2,4,6,8,100]),IsEven);

### See also

ForAny ( list, func ) -> elt-alg^boo

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack